

## advice
https://nixos.wiki/wiki/Bootloader | Bootloader - NixOS Wiki

https://www.reddit.com/r/NixOS/comments/2bvgr4/nixos_dual_boot_grub_setup/

## code path
https://github.com/NixOS/nixpkgs/blob/1b769de74c5b7c4708e1a4aa8f46beca58ace5d8/nixos/modules/system/activation/top-level.nix

https://github.com/NixOS/nixpkgs/blob/0473466ba5e606d4175342c4f2647e68dcebafe3/nixos/modules/system/boot/loader/grub/grub.nix#L579

https://github.com/NixOS/nixpkgs/blob/92a047a6c4d46a222e9c323ea85882d0a7a13af8/nixos/modules/system/activation/switch-to-configuration.pl#L45


https://github.com/NixOS/nixpkgs/blob/e140d71d6330786c40b4bd9c0d59af7ad1a5e86a/nixos/modules/installer/tools/nixos-install.sh#L191-L192 | nixpkgs/nixos-install.sh at e140d71d6330786c40b4bd9c0d59af7ad1a5e86a · NixOS/nixpkgs
